[package]
name = "ghost-helpers"
version = "0.0.5"
description = "Cryptographic utility suite for custom runtimes: optimized Bitmaps, UTXO parsing, Merkle Tree proofs, and Hash Chain components."
license.workspace = true
authors.workspace = true
edition.workspace = true
homepage.workspace = true
repository.workspace = true

[dependencies]
num-traits = { workspace = true }
strum = { workspace = true, features = ["derive"] }
scale-info = { workspace = true, features = ["derive"] }
codec = { workspace = true, features = ["max-encoded-len"] }
serde = { workspace = true, features = ["derive"] }

frame-support = { workspace = true }
sp-arithmetic = { workspace = true }
sp-runtime = { workspace = true }
sp-core = { workspace = true }
sp-std = { workspace = true }
sp-io = { workspace = true }

ghost-traits = { workspace = true }

[features]
default = ["std"]
std = [
	"serde/std",
	"num-traits/std",
	"strum/std",
	"scale-info/std",
	"codec/std",
	"frame-support/std",
	"sp-runtime/std",
	"sp-arithmetic/std",
	"sp-std/std",
	"ghost-traits/std",
	"sp-io/std",
	"sp-core/std",
]
runtime-benchmarks = []